diff -r 77d9242f0f9b code/ryzom/server/src/frontend_service/frontend_service.cpp
--- a/code/ryzom/server/src/frontend_service/frontend_service.cpp       Thu Feb 10 16:44:31 2011 +0200
+++ b/code/ryzom/server/src/frontend_service/frontend_service.cpp       Sun Feb 27 19:35:29 2011 +0100
@@ -1242,7 +1242,12 @@
                _ReceiveSub.init( frontendPort, lastAcceptableFrontendPort, _DgramLength, &_History, &_SendSub.clientIdCont() );
                frontendPort = _ReceiveSub.dataSock()->localAddr().port();
                listenAddr.setPort( frontendPort );
-               CLoginServer::setListenAddress( PublishFSHostAsIP.get() ? listenAddr.asIPString() : (listenAddr.hostName() + ":" + NLMISC::toString( listenAddr.port() )) ); // note: asString() returns more information
+              
+               if( ConfigFile.exists ("ListenAddress") )
+                       CLoginServer::setListenAddress( ConfigFile.getVar ("ListenAddress").asString() );
+               else
+                       CLoginServer::setListenAddress( PublishFSHostAsIP.get() ? listenAddr.asIPString() : (listenAddr.hostName() + ":" + NLMISC::toString( listenAddr.port() )) ); // note: asString() returns more information
+
                CInetAddress::RetrieveNames = false;
       
                StalledMode = false;
